# Getting started
The Python requirements are all in `requirements.txt`, so before starting you need to issue the following command:
```sh
$ pip install -r requirements.txt --user
```
**without** using sudo. Using sudo with pip is a bad idea because it will interfere with your distribution's package manager.

If on a fresh install, you won't have `pip` installed, so you'll need:
```sh
$ sudo pacman -S python-pip
```
or
```sh
$ sudo apt install python3-pip
```

The authentication details are stored in `secrets`. Therefore, you have a template `secrets.template` that you need to copy and rename:
```sh
$ cp secrets{.template,}
```
Modify the resulting file, and then run `./install.py` with needed flags (`./install.py -h` is your friend).


# About the files in the repo
* `arch-desktop_borg.sh`<br>
Borg backup script. Used by a pacman hook to backup my system.

* `configs.yml`<br>
Lists the things to install, which includes programs, symlinks, git clones, shell commands...

* `dotfiles/`<br>
The actual dotfiles. They are symlinked to the location that the system expects to find them.

* `install.py`<br>
Installs everything using `configs.yml`. This is the file to actually run.

* `firefox_addons.txt`<br>
I like to install my Firefox add-ons manually in the Firefox add-on manager, so this file just reminds me what to install and includes the urls to each add-on.

* `pacman_hooks/`<br>
You need to manually copy or symlink any hook to `/etc/pacman.d/hooks/` to activate it.

* `shellcheck_binary_fix.sh`<br>
When running this on Manjaro, pacman was unable to find the shellcheck package, so this script installs the pre-compiled binary instead. If your package manager finds shellcheck, this script won't run.

* `todo`<br>
Never seems to remain empty...


# Thanks
The idea for the architecture was taken from Dimitri Merejkowsky's [GitHub](https://github.com/dmerejkowsky/dotfiles).
